Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028833
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2015-02-02 09:252015-06-22 21:39
ReportermarvintmView Statuspublic 
Assigned Tomario_castello 
PrioritynormalResolutionfixedFixed in VersionRR15Q2
StatusclosedFix in branchpiFixed in SCM revision45cc17f59918
ProjectionnoneETAnoneTarget VersionRR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028833: The OrderLoader needs to use the new way of calling to the M_GetStock PL function

DescriptionCurrently the OrderLoader uses the m_getstock function to create the shipment information.

This function has been refactored and can now be called without using the AD_Pinstance infrastructure, to achieve greater performance and prevent the database from growing in size needlessly.

The OrderLoader should therefore be changed to support this new method of calling the function.
Steps To ReproduceRealize that the OrderLoader still used the CallProcess class, which generates records in the AD_Pinstance/AD_PinstancePara tables.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027160 closededuardo_Argal Openbravo ERP C_Order_Post poor performance 

-  Notes
(0073971)
marvintm (developer)
2015-02-02 10:23

The main idea in this issue is to replace the usage of CallProcess in the OrderLoader.java class, with CallStoredProcedure. This class allows the developer to call the PL function directly without creating a new ADPinstance record.
(0073983)
hgbot (developer)
2015-02-02 12:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d80a5866bcdc2dabd0057d8509d4f596bb6148e5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Feb 02 12:30:57 2015 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d80a5866bcdc2dabd0057d8509d4f596bb6148e5 [^]

Related to issue 28833. Temporarily prevent the OrderLoader from not compiling correctly after core changes. The new way of calling to M_GetStock is not yet supported.

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0074043)
hgbot (developer)
2015-02-03 17:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 45cc17f5991883d99466025332611647f130b220
Author: Mario Castello <mario.castello <at> peoplewalking.com>
Date: Tue Feb 03 10:38:04 2015 -0600
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/45cc17f5991883d99466025332611647f130b220 [^]

fixed issue 28833: The OrderLoader needs to use the new way of calling to the M_GetStock PL function

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0074676)
migueldejuana (developer)
2015-02-19 16:50

It doesn't work in Oracle

- Issue History
Date Modified Username Field Change
2015-02-02 09:25 marvintm New Issue
2015-02-02 09:25 marvintm Assigned To => marvintm
2015-02-02 09:25 marvintm Triggers an Emergency Pack => No
2015-02-02 10:23 marvintm Note Added: 0073971
2015-02-02 12:31 hgbot Checkin
2015-02-02 12:31 hgbot Note Added: 0073983
2015-02-02 16:22 mario_castello Assigned To marvintm => mario_castello
2015-02-03 17:21 mario_castello Status new => scheduled
2015-02-03 17:21 mario_castello fix_in_branch => pi
2015-02-03 17:39 hgbot Checkin
2015-02-03 17:39 hgbot Note Added: 0074043
2015-02-03 17:39 hgbot Status scheduled => resolved
2015-02-03 17:39 hgbot Resolution open => fixed
2015-02-03 17:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/45cc17f5991883d99466025332611647f130b220 [^]
2015-02-19 16:50 migueldejuana Note Added: 0074676
2015-02-19 16:50 migueldejuana Status resolved => new
2015-02-19 16:50 migueldejuana Resolution fixed => open
2015-03-30 20:11 marvintm Status new => scheduled
2015-03-30 20:11 marvintm Status scheduled => resolved
2015-03-30 20:11 marvintm Fixed in Version => RR15Q2
2015-03-30 20:11 marvintm Resolution open => fixed
2015-03-30 20:11 marvintm Review Assigned To => marvintm
2015-03-30 20:11 marvintm Status resolved => closed
2015-06-14 11:27 dmitry_mezentsev Relationship added related to 0027160
2015-06-22 21:39 eugeni Issue Monitored: eugeni


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker